@if (cityMarker) {
  <h1 class="fr-h4 info-title">Signalement</h1>
  <p class="info-date">
    @if (report.modification) {
      Modifié le
      {{ report.modification.date | date: "dd/MM/yyyy" }}
      {{ !!reportModificationInstitution ? ", par " + reportModificationInstitution : "" }}
    } @else {
      Créé le
      {{ report.creationDate | date: "dd/MM/yyyy" }}
      {{ !!reportCreationInstitution ? ", par " + reportCreationInstitution : "" }}
    }
  </p>

  <infra-num-location-details
    [selectedCity]="cityMarker"
    [preferredCoordinates]="preferredCoordinates"
    [features]="[possibleFeatures.CanLocalize]">
  </infra-num-location-details>
}
<div class="info-container">
  <p class="container-title">Statut</p>
  <dsfr-badge
    [label]="reportStatuses.get(report.status).label"
    [theme]="reportStatuses.get(report.status).theme">
  </dsfr-badge>

  <div class="report-status-info">
    @switch (report.status) {
      @case (statuses.Treated) {
        <p>
          Votre équipe projet locale a demandé une étude radio aux opérateurs de
          téléphonie mobile, pour analyser la zone.
        </p>
        <ng-container *ngTemplateOutlet="reportStatusComment"></ng-container>
      }
      @case (statuses.Validated) {
        <!-- TODO: Add link / button -->
        <ng-container *ngTemplateOutlet="reportStatusComment"></ng-container>
      }
      @case (statuses.Desultory) {
        <ng-container *ngTemplateOutlet="reportStatusComment"></ng-container>
      }
      @case (statuses.Obsolete) {
        <p>Au delà de 24 mois, un signalement est considéré comme obsolète.</p>
      }
    }
  </div>
  @if (canDisplayEditStatusButton && !isDisplayingEditStatusMenu) {
    <dsfr-button
      (click)="isDisplayingEditStatusMenu = true"
      icon="fr-icon-checkbox-circle-line"
      label="Mettre à jour le statut"
      [type]="buttonType.TERTIARY"
      [size]="elementSize.SMALL">
    </dsfr-button>
  } @else if (isDisplayingEditStatusMenu) {
    <infra-num-edit-status-menu
      [initialStatus]="report.status"
      (updateCanceled)="isDisplayingEditStatusMenu = false"
      (updateSubmitted)="editReportStatus($event)"
    />
  }
</div>

<div class="info-container">
  <p class="container-title">Situation du problème</p>
  <div class="tags-container">
    @for (issue of issues; track issue; ) {
      @if (issue.key === locations.Inside || issue.key === locations.Outside) {
        <dsfr-tag
          [label]="issue.value"
          [icon]="issue.key === locations.Inside
            ? 'fr-icon-community-line'
            : 'fr-icon-sun-line'">
        </dsfr-tag>
      }
      @if (issue.key !== locations.Inside && issue.key !== locations.Outside) {
        <dsfr-tag [label]="issue.value" />
      }
    }
  </div>
</div>
<div class="info-container">
  <p class="container-title">Opérateurs concernés</p>
  <div class="tags-container">
    @for (operator of report.operators; track operator; ) {
      <dsfr-tag [label]="mobileOperators.get(operator)" />
    }
  </div>
</div>
<div class="info-container">
  <p class="container-title">Description</p>
  <p class="description">
    {{ report.description }}
  </p>
</div>
@if (( user._id === report.author?._id || user?.roles?.includes( roles.ANCT ) ) &&
report.status === statuses.NotTreated) {
  <dsfr-button
    (buttonClicked)="editReport()"
    icon="fr-icon-edit-line"
    label="Modifier le signalement"
    [type]="buttonType.TERTIARY">
  </dsfr-button>
}
<hr>
<ul class="report-details-menu">
  <li>
    <button
      [class.active]="!boxOptions().mainBox && activeReportMenu === 'contactInformation'"
      (click)="displayContactInformationBoxContent()">
      Informations de contact
      <span class="fr-icon-arrow-down-s-line"></span>
    </button>
  </li>
  @if (report.status !== statuses.NotTreated) {
    <li>
      <button
        [class.active]="!boxOptions().mainBox && activeReportMenu === 'history'"
        (click)="displayReportHistory()">
        Historique
        <span class="fr-icon-arrow-down-s-line"></span>
      </button>
    </li>
  }
</ul>

<ng-template #reportStatusComment>
  @if (lastReportStatusInfo?.comment) {
    <div class="report-status-comment">
      <p class="comment-title">Commentaire</p>
      <p class="comment-text">
        {{ lastReportStatusInfo.comment }}
      </p>
      <span class="comment-info">
        Le {{ lastReportStatusInfo.changeDate | date: "dd/MM/yyyy" }},
        par {{ statusUpdateInstitution }}
      </span>
    </div>
  }
</ng-template>

